<template>
  <div class="update-branches">
    <div class="columns">
      <div class="column is-2">
        <the-sidebar />
      </div> <!-- column -->
      <div class="column">
        <div class="box">
          <the-header title="Atualizar ramal" />
          <branch-form :branch="branch" :isEditing="isEditing"></branch-form>
        </div> <!-- box -->
      </div> <!-- column -->
    </div> <!-- columns -->
  </div>
</template>

<script>
import BranchForm from '@/views/Admin/Branches/components/BranchForm'

export default {
  name: 'UpdateBranches',
  components: {
    'branch-form': BranchForm
  },
  data: function ()  {
    return {
      isEditing: true
    }
  },
  created () {
    this.$store.dispatch('getBranch', this.$route.params.pk)
  },
  computed: {
    branch () {
      return this.$store.state.branches.branch
    }
  },
  methods: {
    back() {
      this.$router.go(-1)
    }
  }

}
</script>
